## org.exist.xmldb.test
Class RemoteDBTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.RemoteDBTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  RemoteCollectionTest, RemoteDatabaseImplTest

public abstract class RemoteDBTest
extends junit.framework.TestCase

An abstract wrapper for remote DB tests

Author:
  Sebastian Bossung, Technische Universitaet Hamburg-Harburg, Pierrick Brihaye <pierrick.brihaye@free.fr>

Field Summary
`static java.lang.String` `DB_DRIVER`

Constructor Summary
`RemoteDBTest(java.lang.String name)`

Method Summary
`RemoteCollection` `getCollection()`
`void` `setCollection(RemoteCollection collection)`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DB_DRIVER

    public static final java.lang.String DB_DRIVER

See Also:
  Constant Field Values

Constructor Detail

### RemoteDBTest

    public RemoteDBTest(java.lang.String name)

Method Detail

### getCollection

    public RemoteCollection getCollection()

### setCollection

    public void setCollection(RemoteCollection collection)

Copyright (C) Wolfgang Meier. All rights reserved.